# Package edu.isi.pegasus.gridftp

Class Summary
Command
FileInfo: Stores information about a file or directory, such as its name, size, type, etc.
GridFTPConnection: A connection to a GridFTP server
GridFTPURL
ListCommand: Implements the ls command for remote GridFTP servers
MakeDirectoryCommand: Implements the mkdir command for remote GridFTP servers
PegasusGridFTP: Implements a command-line utility for performing file and directory operations on remote GridFTP servers.
RemoveCommand: Implements the rm command for remote GridFTP servers

Exception Summary
DirectoryNotEmptyException
DirectoryRemovalException
FileExistsException
GridFTPException
NoSuchFileException
PermissionDeniedException